const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let user = {
Id: '146476890',
}
const getRegulatoryStatus = async (userId) => {
return await mangopay.Users.getRegulatory(userId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getRegulatoryStatus(user.Id)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.UserBlockStatus;
public class ViewUserRegulatory {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HRS7PQEGE4YGCM1AZK1ENTGE";
UserBlockStatus viewRegulatoryStatus = mangopay.getUserApi().getRegulatory(userId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewRegulatoryStatus);
System.out.println(prettyJson);
}
}
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import LegalUser
legal_user = LegalUser(
id = '210760575'
)
user_regulatory_status = LegalUser.get_regulatory(legal_user)
pprint(vars(user_regulatory_status))
pprint(vars(user_regulatory_status.scope_blocked))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var viewUserRegulatoryStatus = await api.Users.GetUserRegulatoryAsync(userId);
string prettyPrint = JsonConvert.SerializeObject(viewUserRegulatoryStatus, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "008710",
"ScopeBlocked": {
"Inflows": false,
"Outflows": true
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "008703",
"ScopeBlocked": {
"Inflows": true,
"Outflows": true
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "",
"ScopeBlocked": {
"Inflows": false,
"Outflows": false
}
}
User regulatory status
View a User Regulatory Status
GET
/
v2.01
/
{ClientId}
/
users
/
{UserId}
/
regulatory
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let user = {
Id: '146476890',
}
const getRegulatoryStatus = async (userId) => {
return await mangopay.Users.getRegulatory(userId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getRegulatoryStatus(user.Id)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.UserBlockStatus;
public class ViewUserRegulatory {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HRS7PQEGE4YGCM1AZK1ENTGE";
UserBlockStatus viewRegulatoryStatus = mangopay.getUserApi().getRegulatory(userId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewRegulatoryStatus);
System.out.println(prettyJson);
}
}
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import LegalUser
legal_user = LegalUser(
id = '210760575'
)
user_regulatory_status = LegalUser.get_regulatory(legal_user)
pprint(vars(user_regulatory_status))
pprint(vars(user_regulatory_status.scope_blocked))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var viewUserRegulatoryStatus = await api.Users.GetUserRegulatoryAsync(userId);
string prettyPrint = JsonConvert.SerializeObject(viewUserRegulatoryStatus, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "008710",
"ScopeBlocked": {
"Inflows": false,
"Outflows": true
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "008703",
"ScopeBlocked": {
"Inflows": true,
"Outflows": true
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "",
"ScopeBlocked": {
"Inflows": false,
"Outflows": false
}
}
Path parameters
string
required
The unique identifier of the user.
Responses
200
200
string
Returned values: One of the action codes available in the Blocked users article.Code indicating the reason for blocking the user, and steps you can take to get them unblocked.
object
string
The unique identifier of the user.
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "008710",
"ScopeBlocked": {
"Inflows": false,
"Outflows": true
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "008703",
"ScopeBlocked": {
"Inflows": true,
"Outflows": true
}
}
{
"Id": "user_m_01KGJ26D0SFX7G5XC5EV13Y5MB",
"ActionCode": "",
"ScopeBlocked": {
"Inflows": false,
"Outflows": false
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let user = {
Id: '146476890',
}
const getRegulatoryStatus = async (userId) => {
return await mangopay.Users.getRegulatory(userId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getRegulatoryStatus(user.Id)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.UserBlockStatus;
public class ViewUserRegulatory {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HRS7PQEGE4YGCM1AZK1ENTGE";
UserBlockStatus viewRegulatoryStatus = mangopay.getUserApi().getRegulatory(userId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewRegulatoryStatus);
System.out.println(prettyJson);
}
}
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import LegalUser
legal_user = LegalUser(
id = '210760575'
)
user_regulatory_status = LegalUser.get_regulatory(legal_user)
pprint(vars(user_regulatory_status))
pprint(vars(user_regulatory_status.scope_blocked))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var viewUserRegulatoryStatus = await api.Users.GetUserRegulatoryAsync(userId);
string prettyPrint = JsonConvert.SerializeObject(viewUserRegulatoryStatus, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?